using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using Microsoft.AspNetCore.Http;

// a version of the Document model designed for user editing

namespace Snootalogue.ViewModels {
	public class UploadDocument {
		[Required]
		public string Title { get; set; }
		[Required]
		[Display(Name = "Authors (comma separated)")]
		public string Authors { get; set; }
		[Required]
		public string Category { get; set; }
		[Display(Name = "Tags (comma separated)")]
		public string Tags { get; set; }
		public Boolean Read { get; set; }
		public string Notes { get; set; }
		[Display(Name = "File to upload")]
		public IFormFile UploadedFile { get; set; }
	}
}
